Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGPreserveAspectRatio

public interface SVGPreserveAspectRatio

Field Summary
`static short` | `SVG_MEETORSLICE_MEET`
`static short` | `SVG_MEETORSLICE_SLICE`
`static short` | `SVG_MEETORSLICE_UNKNOWN`
`static short` | `SVG_PRESERVEASPECTRATIO_NONE`
`static short` | `SVG_PRESERVEASPECTRATIO_UNKNOWN`
`static short` | `SVG_PRESERVEASPECTRATIO_XMAXYMAX`
`static short` | `SVG_PRESERVEASPECTRATIO_XMAXYMID`
`static short` | `SVG_PRESERVEASPECTRATIO_XMAXYMIN`
`static short` | `SVG_PRESERVEASPECTRATIO_XMIDYMAX`
`static short` | `SVG_PRESERVEASPECTRATIO_XMIDYMID`
`static short` | `SVG_PRESERVEASPECTRATIO_XMIDYMIN`
`static short` | `SVG_PRESERVEASPECTRATIO_XMINYMAX`
`static short` | `SVG_PRESERVEASPECTRATIO_XMINYMID`
`static short` | `SVG_PRESERVEASPECTRATIO_XMINYMIN`

Method Summary
`short` | `getAlign()`
`short` | `getMeetOrSlice()`
`void` | `setAlign(short align)`
`void` | `setMeetOrSlice(short meetOrSlice)`

Field Detail

### SVG_PRESERVEASPECTRATIO_UNKNOWN

    public static final short SVG_PRESERVEASPECTRATIO_UNKNOWN

### SVG_PRESERVEASPECTRATIO_NONE

    public static final short SVG_PRESERVEASPECTRATIO_NONE

### SVG_PRESERVEASPECTRATIO_XMINYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMIN

### SVG_PRESERVEASPECTRATIO_XMIDYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMIN

### SVG_PRESERVEASPECTRATIO_XMAXYMIN

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMIN

### SVG_PRESERVEASPECTRATIO_XMINYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMID

### SVG_PRESERVEASPECTRATIO_XMIDYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMID

### SVG_PRESERVEASPECTRATIO_XMAXYMID

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMID

### SVG_PRESERVEASPECTRATIO_XMINYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMINYMAX

### SVG_PRESERVEASPECTRATIO_XMIDYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMIDYMAX

### SVG_PRESERVEASPECTRATIO_XMAXYMAX

    public static final short SVG_PRESERVEASPECTRATIO_XMAXYMAX

### SVG_MEETORSLICE_UNKNOWN

    public static final short SVG_MEETORSLICE_UNKNOWN

### SVG_MEETORSLICE_MEET

    public static final short SVG_MEETORSLICE_MEET

### SVG_MEETORSLICE_SLICE

    public static final short SVG_MEETORSLICE_SLICE

Method Detail

### getAlign

    public short getAlign()

### setAlign

    public void setAlign(short align)
                  throws DOMException

### getMeetOrSlice

    public short getMeetOrSlice()

### setMeetOrSlice

    public void setMeetOrSlice(short meetOrSlice)
                        throws DOMException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD